Package net.shibboleth.idp.cas.service

# Class ServiceContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.cas.service.ServiceContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class ServiceContext extends BaseContext
IdP context container for CAS service (i.e. relying party) metadata. This context is typically a child of `ProfileRequestContext`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Service`
`serviceMetadata`
Service metadata held by context.

## Constructor Summary

Constructors
Constructor
Description
`ServiceContext(Service service)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`Service`
`getService()`
Get the service metadata held by this context.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### serviceMetadata

@Nonnull private final Service serviceMetadata
Service metadata held by context.

## Constructor Details

### ServiceContext

public ServiceContext(@Nonnull Service service)
Creates a new instance.

Parameters:
  `service` - Service metadata held by context.

## Method Details

### getService

@Nonnull public Service getService()
Get the service metadata held by this context.

Returns:
  service metadata held by this context